# run

abstract fun run(): T

Runs the action, blocking until its result is available.

#### Since

1.8

#### Throws

UnsupportedVersionException

When the target Gradle version does not support build action execution.

UnsupportedOperationConfigurationException

When the target Gradle version does not support some requested configuration option.

UnsupportedBuildArgumentException

When there is a problem with build arguments provided by withArguments.

BuildActionFailureException

When the build action fails with an exception.

BuildCancelledException

When the operation was cancelled before it completed successfully.

BuildException

On some failure executing the Gradle build.

GradleConnectionException

On some other failure using the connection.

IllegalStateException

When the connection has been closed or is closing.

abstract fun run(handler: ResultHandler<in T>)

Starts executing the action, passing the result to the given handler when complete. This method returns immediately, and the result is later passed to the given handler's onComplete method.

If the operation fails, the handler's onFailure method is called with the appropriate exception. See run for a description of the various exceptions that the operation may fail with.

#### Since

1.8

#### Parameters

handler

The handler to supply the result to.

#### Throws

IllegalStateException

When the connection has been closed or is closing.